{ config, pkgs, ... }:

{
  users.users.yoda = {
    packages = with pkgs; [
      libsForQt5.ghostwriter # Markdown editor
    ];
  };

  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    home.file.".config/kde.org/ghostwriter.conf" = {
      text = ''
        [Application]
        locale=en_US

        [Preview]
        htmlPreviewOpen=false
        lastUsedExporter=cmark-gfm
        lastUsedExporterParams=

        [Save]
        autoSave=false
        backupFile=false

        [Style]
        largeHeadings=true

        [Tabs]
        insertSpacesForTabs=true
        tabWidth=2
      '';
    };
  };
}
